Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.payvessel.com/api/v1/gift-cards/orders \ --header 'Content-Type: application/json' \ --header 'api-key: <api-key>' \ --header 'api-secret: <api-key>' \ --data ' { "reference": "<string>", "operator_id": "<string>", "product_id": "<string>" } '
{ "status": true, "message": "<string>", "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "business_id": "<string>", "reference": "<string>", "billpoint_transaction_id": 123, "operator_id": "<string>", "product_id": "<string>", "product_name": "<string>", "country": "<string>", "amount_naira": 123, "amount_usd": 123, "redeem_code": "<string>", "serial_number": "<string>", "error_message": "<string>", "wallet_transaction_id": "<string>", "created_datetime": "2023-11-07T05:31:56Z", "updated_datetime": "2023-11-07T05:31:56Z", "completed_datetime": "2023-11-07T05:31:56Z" } }
Purchase a gift card and charge the business wallet
Unique merchant order reference
64
Successful Response
Show child attributes